package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目拓展表(预算后项目专用）
 *
 */
@Entity
@Table(name = "project_extend")
public class ProjectExtend {
    public static final int STATUS_ESTIMATE = 1;
    public static final int STATUS_BUDGET = 5;
    public static final int STATUS_SETTLE = 10;
    public static final int STATUS_FINAL = 15;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private int id;

    @Column(name = "project_id")
    private int projectId;

    @Column(name = "is_budget")
    private int isBudget;

    /**
     * 垫资利息（元为单位）
     */
    @Column(name = "advance_interest_amount")
    private BigDecimal advanceInterestAmount;
    /**
     * 垫资峰值
     */
    @Column(name = "advance_peak_amount")
    private BigDecimal advancePeakAmount;
    /**
     * 合同金额
     */
    @Column(name = "contract_amount")
    private BigDecimal contractAmount;
    /**
     *华智产品金额
     */
    @Column(name = "huazhi_product_amount")
    private BigDecimal huazhiProductAmount;
    /**
     *其他产品金额
     */
    @Column(name = "ziguang_other_amount")
    private BigDecimal ziguangOtherAmount;

    @Column(name = "gross_profit")
    private BigDecimal grossProfit;

    @Column(name = "gross_profit_margin")
    private BigDecimal grossProfitMargin;

    @Column(name = "huizhi_product_amount")
    private BigDecimal huizhiProductAmount;

    @Column(name = "huasan_product_amount")
    private BigDecimal huasanProductAmount;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getIsBudget() {
        return isBudget;
    }

    public void setIsBudget(int isBudget) {
        this.isBudget = isBudget;
    }

    public BigDecimal getAdvanceInterestAmount() {
        return advanceInterestAmount;
    }

    public void setAdvanceInterestAmount(BigDecimal advanceInterestAmount) {
        this.advanceInterestAmount = advanceInterestAmount;
    }

    public BigDecimal getAdvancePeakAmount() {
        return advancePeakAmount;
    }

    public void setAdvancePeakAmount(BigDecimal advancePeakAmount) {
        this.advancePeakAmount = advancePeakAmount;
    }

    public BigDecimal getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(BigDecimal contractAmount) {
        this.contractAmount = contractAmount;
    }

    public BigDecimal getHuazhiProductAmount() {
        return huazhiProductAmount;
    }

    public void setHuazhiProductAmount(BigDecimal huazhiProductAmount) {
        this.huazhiProductAmount = huazhiProductAmount;
    }

    public BigDecimal getZiguangOtherAmount() {
        return ziguangOtherAmount;
    }

    public void setZiguangOtherAmount(BigDecimal ziguangOtherAmount) {
        this.ziguangOtherAmount = ziguangOtherAmount;
    }

    public BigDecimal getGrossProfit() {
        return grossProfit;
    }

    public void setGrossProfit(BigDecimal grossProfit) {
        this.grossProfit = grossProfit;
    }

    public BigDecimal getGrossProfitMargin() {
        return grossProfitMargin;
    }

    public void setGrossProfitMargin(BigDecimal grossProfitMargin) {
        this.grossProfitMargin = grossProfitMargin;
    }

    public BigDecimal getHuizhiProductAmount() {
        return huizhiProductAmount;
    }

    public void setHuizhiProductAmount(BigDecimal huizhiProductAmount) {
        this.huizhiProductAmount = huizhiProductAmount;
    }

    public BigDecimal getHuasanProductAmount() {
        return huasanProductAmount;
    }

    public void setHuasanProductAmount(BigDecimal huasanProductAmount) {
        this.huasanProductAmount = huasanProductAmount;
    }
}
