package cn.palmte.work.model.process;

import org.hibernate.annotations.GenericGenerator;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Data;

/**
 * 采购合同流程预算采购明细的数量记录
 * <p>
 * 一个 BudgetPurchaseAmount 对应 多个 BudgetPurchaseDetail
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/28 14:15
 */
@Data
@Entity
@Table(name = "procurement_contract_budget_purchase_amount")
public class BudgetPurchaseAmount implements Serializable {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
  private Integer id;

  // TODO 撤回的时候 amountAlready 数据一致问题

  // 所有的
  private BigDecimal amount;

  // 已采购数量
  private BigDecimal amountAlready;

  // '本次采购数量'
  private BigDecimal amountCurrent;

  // 未采购数量
  private BigDecimal amountLeft;

  // 流程ID
  private Integer processId;

  // 采购合同ID
  private Integer contractId;

  // 成本ID
  private Integer budgetCostId;

}
