package cn.palmte.work.model.process;

import java.math.BigDecimal;

import lombok.Data;

/**
 * 采购合同流程预算采购明细的详情
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/28 15:01
 */
@Data
public class BudgetPurchaseDetailModel {

  public Integer id;

  // 供应商名称
  private String supplierName;

  // 设备厂商名称
  private String manufacturerName;

  // 对应采购清单
  private String purchaseList;

  // 规格型号
  private String spec;

  // 对应采购数目
  private BigDecimal procurementAmount;

  // 采购单价
  private BigDecimal procurementPrice;

  // 含税总金额（元）
  private BigDecimal totalTaxInclude;

}
