package cn.palmte.work.model.process.form;

import java.util.List;

import cn.palmte.work.model.enums.ProcessStatus;
import cn.palmte.work.model.enums.ProcessType;
import cn.palmte.work.model.enums.ProcurementMode;
import cn.palmte.work.model.process.BudgetPurchaseAmountModel;
import cn.palmte.work.model.process.ProcessAttachment;
import cn.palmte.work.model.process.SupplierMaterial;
import lombok.Data;

/**
 * 合同流程新建表单
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/14 17:05
 */
@Data
public class ProcessCreationForm {

  private Integer projectId;

  // 项目编号
  private String projectNo;

  private String applyDate;

  // 项目标题
  private String projectTitle;

  // 项目类型
//  private String projectType;

  // 合作类型
//  private String cooperationType;

  // 申请人
  private String applyPersonName;

  // 申请部门 部门1,部门2,部门3 (逗号分割)
  private String applyDept;

  // 申请部门ID(逗号分割)
  private String applyDeptId;

  // 申请部门领导ID
  private Integer applyDeptLeaderId;

  // 申请部门领导
  private String applyDeptLeaderName;

  // 申请人电话
  private String applyPersonPhone;

  // 合同编号
  private String contractNo;

  // 合同名称
  private String contractName;

  // 客户名称
  private String clientName;

  // 用印类型
  private String[] sealTypes;

  // 税率
  private String taxRate;

  // 收款条件
  private String paymentTerms;

  // 备注
  private String remark;

  private ProcessStatus status;

  private ProcessType processType;

  private List<SaleContractDetailForm> incomeDetails;

  private ProcurementMode procurementMode;

  private String supplierName;

  private List<ProcessAttachment> attachments;

  private List<SupplierMaterial> supplierMaterials;

  // 采购详情
  private List<BudgetPurchaseAmountModel> purchaseAmount;

}
