package cn.palmte.work.model.process.form;

import java.util.List;

import javax.validation.constraints.NotNull;

import cn.palmte.work.model.enums.ProcessStatus;
import cn.palmte.work.model.enums.ProcurementMode;
import cn.palmte.work.model.process.BudgetPurchaseAmountModel;
import cn.palmte.work.model.process.ProcessAttachment;
import cn.palmte.work.model.process.SupplierMaterial;
import lombok.Data;

/**
 * 流程合同更新
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/23 16:39
 */
@Data
public class ProcessUpdateForm {

  // 申请部门 部门1,部门2,部门3 (逗号分割)
  private String applyDept;

  // 申请部门ID(逗号分割)
  private String applyDeptId;

  // 申请部门领导ID
  private Integer applyDeptLeaderId;

  // 申请部门领导
  private String applyDeptLeaderName;

  // 合同编号
  private String contractNo;

  // 合同名称
  private String contractName;

  // 用印类型
  private String[] sealTypes;

  // 税率
  private String taxRate;

  // 收款条件
  private String paymentTerms;
  // 备注
  private String remark;

  // 客户名称
  private String clientName;

  private ProcessStatus status;

  // 申请人电话
  private String applyPersonPhone;

  private ProcurementMode procurementMode;

  private String supplierName;

  private List<ProcessAttachment> attachments;

  public List<SaleContractDetailForm> incomeDetails;

  public List<SupplierMaterial> supplierMaterials;

  // 采购详情
  public List<BudgetPurchaseAmountModel> purchaseAmount;
}
